[arch-commits] Commit in libsm/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sun Jul 6 15:43:28 EDT 2008


    Date: Sunday, July 6, 2008 @ 15:43:28
  Author: jgc
Revision: 4375

upgpkg: libsm 1.1.0-1

Modified:
  libsm/trunk/PKGBUILD

----------+
 PKGBUILD |   14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-07-06 19:42:10 UTC (rev 4374)
+++ PKGBUILD	2008-07-06 19:43:28 UTC (rev 4375)
@@ -2,21 +2,23 @@
 # Maintainer: Alexander Baldeck <alexander at archlinux.org>
 # Contributor: Jan de Groot <jgc at archlinux.org>
 pkgname=libsm
-pkgver=1.0.3
+pkgver=1.1.0
 pkgrel=1
 pkgdesc="X11 Session Management library"
 arch=(i686 x86_64)
+license=('custom')
 url="http://xorg.freedesktop.org/"
-depends=('libice' 'xproto')
+depends=('libice' 'xproto' 'e2fsprogs')
 makedepends=('pkgconfig' 'xtrans')
-options=('nolibtool')
+options=('!libtool')
 source=(${url}/releases/individual/lib/libSM-${pkgver}.tar.bz2)
+md5sums=('05a04c2b6382fb0054f6c70494e22733')
 
 build() {
   cd ${startdir}/src/libSM-${pkgver}
-  ./configure --prefix=/usr --sysconfdir=/etc \
-              --build=${CHOST} --host=${CHOST}
+  ./configure --prefix=/usr --sysconfdir=/etc || return 1
   make || return 1
   make DESTDIR=${startdir}/pkg install || return 1
+  install -d -m755 ${pkgdir}/usr/share/licenses/${pkgname}
+  install -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/ || return 1
 }
-md5sums=('184cbf502b3cd5d7ba5f9d1290a99606')





More information about the arch-commits mailing list